opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
CvGBTreesParams Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvGBTreesParams:

## Public Member Functions
| CvGBTreesParams ()
| CvGBTreesParams (int loss_function_type, int weak_count, float shrinkage, float subsample_portion, int max_depth, bool use_surrogates)
Public Member Functions inherited from CvDTreeParams
| CvDTreeParams ()
| CvDTreeParams (int _max_depth, int _min_sample_count, float _regression_accuracy, bool _use_surrogates, int _max_categories, int _cv_folds, bool _use_1se_rule, bool _truncate_pruned_tree, const float *_priors)

## Public Attributes
CV_PROP_RW int | loss_function_type
CV_PROP_RW float | shrinkage
CV_PROP_RW float | subsample_portion
CV_PROP_RW int | weak_count
Public Attributes inherited from CvDTreeParams
CV_PROP_RW int | cv_folds
CV_PROP_RW int | max_categories
CV_PROP_RW int | max_depth
CV_PROP_RW int | min_sample_count
const float * | priors
CV_PROP_RW float | regression_accuracy
CV_PROP_RW bool | truncate_pruned_tree
CV_PROP_RW bool | use_1se_rule
CV_PROP_RW bool | use_surrogates

## Constructor & Destructor Documentation

CvGBTreesParams::CvGBTreesParams | ( |  | ) |

CvGBTreesParams::CvGBTreesParams | ( | int | loss_function_type,
|  | int | weak_count,
|  | float | shrinkage,
|  | float | subsample_portion,
|  | int | max_depth,
|  | bool | use_surrogates
| ) |  |

## Member Data Documentation

CV_PROP_RW int CvGBTreesParams::loss_function_type

CV_PROP_RW float CvGBTreesParams::shrinkage

CV_PROP_RW float CvGBTreesParams::subsample_portion

CV_PROP_RW int CvGBTreesParams::weak_count

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp